API / geotoolkit / map / sources / loaders / Google / Google
Abstract source loader that loads server settings by sending appropriate query and parsing its response The settings request could be flexibly adjusted the by additional parameters specified in 'options'. All of them will be added as a query parameter.
Example
import {ArcGISFeature} from '@int/geotoolkit/map/sources/loaders/ArcGISFeature';
const loader = new ArcGISFeature({
// all undocumented parameters would be directly added to the request:
'token': 'TikYtCP33k_Ql2mt_233AJZm3iHkFbowqWSUe9ZmkRp15PBbZLgYTEUP0sc46Nxjt5DPWBfSZst5b9ykD7x9mQ..'
});↳
Google
Constructors
- [new Google(options)](/solutions/geotoolkit/GeoToolkit_JS/apis/classes/geotoolkit.map.sources.loaders.google.google.md#new google(options))
Methods
Constructors
• new Google(options?)
| Name | Type | Description |
|---|---|---|
Optional options | Options | options |
AbstractLoader.constructor
Methods
▸ clone(): AbstractLoader
All subclasses should override copyConstructor or provide custom implementation for this method
clone
▸ cloneQueryParameters(loader): Google
Copies query parameters from another loader
| Name | Type | Description |
|---|---|---|
loader | AbstractLoader | loader to clone parameters |
this
AbstractLoader.cloneQueryParameters
▸ Protected copyConstructor(src, deepCopy?): Google
Copy constructor function.<br> Function used as part of the cloning mechanism.<br> Implementations should copy the given instance state to this instance.<br>
| Name | Type | Description |
|---|---|---|
src | AbstractLoader | Source to copy from |
Optional deepCopy | boolean | deep copy |
this
AbstractLoader.copyConstructor
▸ getClassName(): string
string
▸ getConnector(): AbstractConnector<any>
Returns connector
AbstractConnector<any>
▸ getCopyright(): string
Returns copyright information.
string
▸ getRequestOptions(): SendOptions
Returns google options to get the token base on configuration
return options for google map token
AbstractLoader.getRequestOptions
▸ getSettingsUrl(): string
Returns google tile server url to generate token based on key
string
google url to get token
▸ Protected loaded(callback): void
Resolves loading promise asynchronically
| Name | Type | Description |
|---|---|---|
callback | (loader: AbstractLoader) => void | resolving callback |
void
▸ parse(data, onload): void
Parses server data response to load google map tiles
| Name | Type | Description |
|---|---|---|
data | string | JSONObject | data received from the server |
onload | (loader: AbstractLoader) => void | function to be called when data is loaded |
void
▸ setQueryParameter(param, value): Google
Sets the query parameter to add to the server settings request
| Name | Type | Description |
|---|---|---|
param | string | parameter name |
value | string | number | boolean | parameter value |
this
AbstractLoader.setQueryParameter
▸ Static getClassName(): string
string